package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcZdlyjg;
import org.apache.ibatis.annotations.Param;

/**
 * 重点领域监管Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcZdlyjgMapper 
{
    /**
     * 查询重点领域监管
     * 
     * @param id 重点领域监管主键
     * @return 重点领域监管
     */
    public TcZdlyjg selectTcZdlyjgById(Long id);

    /**
     * 查询重点领域监管列表
     * 
     * @param tcZdlyjg 重点领域监管
     * @return 重点领域监管集合
     */
    public List<TcZdlyjg> selectTcZdlyjgList(TcZdlyjg tcZdlyjg);

    /**
     * 新增重点领域监管
     * 
     * @param tcZdlyjg 重点领域监管
     * @return 结果
     */
    public int insertTcZdlyjg(TcZdlyjg tcZdlyjg);

    /**
     * 修改重点领域监管
     * 
     * @param tcZdlyjg 重点领域监管
     * @return 结果
     */
    public int updateTcZdlyjg(TcZdlyjg tcZdlyjg);

    /**
     * 删除重点领域监管
     * 
     * @param id 重点领域监管主键
     * @return 结果
     */
    public int deleteTcZdlyjgById(Long id);

    /**
     * 批量删除重点领域监管
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcZdlyjgByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
